AviatoAviato
DeveloperAPI ReferenceLibrariesItemsRecent

/api/libraries/items/recent

GET
/api/libraries/items/recent

Query Parameters

limit?integer

Maximum number of slots to return (default 10). The server aggregates by primary entity, so 20 episodes of one show collapse to one slot.

Range0 < value <= 50

Response Body

application/json

curl -X GET "https://example.com/api/libraries/items/recent"
{
  "slots": [
    {
      "kind": "item",
      "item": {
        "id": "string",
        "libraryId": "string",
        "title": "string",
        "metadata": {
          "property1": null,
          "property2": null
        },
        "certification": "string",
        "status": "active",
        "addedAt": "string",
        "updatedAt": "string",
        "files": [
          {
            "id": "string",
            "libraryId": "string",
            "uri": "string",
            "filename": "string",
            "extension": "string",
            "fileInfo": {
              "property1": null,
              "property2": null
            },
            "mimeType": "string",
            "type": "media",
            "classification": "string",
            "itemId": "string",
            "status": "active",
            "edition": "string",
            "partNumber": 0,
            "size": 0,
            "duration": 0,
            "createdAt": "string",
            "updatedAt": "string",
            "assets": {
              "property1": "string",
              "property2": "string"
            },
            "assetAspects": {
              "property1": "string",
              "property2": "string"
            },
            "mediaKind": "video",
            "chapters": [
              {
                "id": "string",
                "fileId": "string",
                "startTime": 0,
                "endTime": 0,
                "role": "intro",
                "title": "string",
                "source": "string",
                "metadata": {
                  "property1": null,
                  "property2": null
                },
                "createdAt": "string",
                "updatedAt": "string",
                "assets": {
                  "property1": "string",
                  "property2": "string"
                }
              }
            ]
          }
        ],
        "assets": {
          "property1": "string",
          "property2": "string"
        },
        "assetAspects": {
          "property1": "string",
          "property2": "string"
        },
        "linkedEntities": [
          {
            "id": "string",
            "type": "string",
            "name": "string",
            "role": "string",
            "sortOrder": 0,
            "linkMetadata": {
              "property1": null,
              "property2": null
            },
            "assets": {
              "property1": "string",
              "property2": "string"
            },
            "assetAspects": {
              "property1": "string",
              "property2": "string"
            }
          }
        ],
        "playback": {
          "completed": true,
          "position": 0,
          "duration": 0
        }
      }
    }
  ]
}